<?php
@session_start();
include( "f_admin.php" );
include( "f_wfl.php" );


$_SESSION[ "mandant_name" ] = "Gaia";
$mandant_name = "Gaia";

$_SESSION[ "benutzer_anmeldename" ] = "ca_admin";



$STATEMENT = "select dok_id from ca_dok_ablage where dokart_kuerzel = '00476' and dok_id in (select dok_id from ca_index where alpha_01 = 'Christina' and alpha_04 like '2%') and dok_id not in ( select dok_id from ca_dok_ablage where d_version = 2 or d_version = 3)";


$ergebnis = xdb( $STATEMENT );
xlog( 4, $STATEMENT );
foreach ( $ergebnis[ 1 ] as $zeile  )
{
	xlog( 4, "exportiere ".$zeile[ "dok_id" ] );
	exportiere_dokument( $mandant_name, $zeile[ "dok_id" ], $export_pfad );
	set_time_limit( 30 );
}


//erzeuge_postkorb_element( $mandant_name, $dok_id, $empfaenger, $sender_benutzer, $betreff, $typ, $empfaenger_typ = "b", $erinnern_am = 0, $quittieren_bis = 0 )
//erzeuge_postkorb_element( $_SESSION[ "mandant_name" ], 100024132, "Administratoren", $_SESSION[ "benutzer_anmeldename" ], "hallo Akte", "0", "g" );
//erzeuge_postkorb_element( $_SESSION[ "mandant_name" ], 100008750, "Administratoren", $_SESSION[ "benutzer_anmeldename" ], "Du Da Administratoren", "0", "g", "02.12.2014", "05.12.2014" );



//66xlog( 2, "hallo" );


//aktualisiere_dokument_attribute( $mandant_name, $dok_id, $neue_attribute_arr, $neue_mehrfachattribute_arr   );

function xlog2( $level, $meldung )
	{
		chdir( $_SERVER[ "DOCUMENT_ROOT" ]."/ca/" );
		$zeitstempel = date( "Y.m.d H:i:s", time(  ) );
		$LOG_LEVEL = 4;
		switch ( $level ) 
		{
			case 6:
				$loglevel = "DEB_2";
				break;
			case 5:
				$loglevel = "DEBUG";
				break;
			case 4:
				$loglevel = "INFO ";
				break;
			case 3:
				$loglevel = "WARN ";
				break;
			case 2:
				$loglevel = "ERROR";
				break;
			case 1:
				$loglevel = "FATAL";
				break;
		}
		if ( $level <= $LOG_LEVEL )
		{
			$datei = fopen( "system_out.log", "a+" );
			fwrite( $datei, $meldung."\n" );
			fclose( $datei );
		}
	}



$k = 0;

if ( k == 1 )
{
	$STATEMENT = " SELECT k.dok_id, archivierungsdatum FROM ca_dok_ablage k WHERE archivierungsdatum not in (select b.erstellt_am from ca_dok_datei b where b.dok_id = k.dok_id and b.version = 1 and erw = 0) "; // and k.dok_id = 100000061";
	
	
	
	$ergebnis = xdb( $STATEMENT );
	$z = 0;
	
	xlog( 2, "Anzahl Treffer: " . $ergebnis[0] );
	
	
	foreach ( $ergebnis[ 1 ] as $zeile  )
	{
		$z++;
		$STATEMENT_2 = "select erstellt_am from ca_dok_datei where dok_id = ".$zeile[ "dok_id" ]." and version = 1 and erw = 0";
		
		$ergebnis2 = xdb( $STATEMENT_2 );
		
		$zielts = "gleich";
		
		if ( (int)$zeile["archivierungsdatum"] > $ergebnis2[1][0]["erstellt_am"] )
		{
			
			$zielts = $ergebnis2[1][0]["erstellt_am"];
			
		}
		else
		{
			$zielts = (int)$zeile["archivierungsdatum"];
			
		}
		
		xlog( 2, $z." Dok-ID ".$zeile[ "dok_id" ]." Archivierungsdatum ".$zeile["archivierungsdatum"]." erstellt_am ".$ergebnis2[1][0]["erstellt_am"]." Ziel_TS = ".$zielts );
		$STATEMENT_3 = "update ca_dok_ablage set archivierungsdatum = '".$zielts."' where dok_id = ".$zeile[ "dok_id" ].";";
		$STATEMENT_4 = "update ca_dok_datei set erstellt_am = ".$zielts." where dok_id = ".$zeile[ "dok_id" ]." and version = 1 and erw = 0;";
		xlog2( 2, $STATEMENT_3 );
		xlog2( 2, $STATEMENT_4 );
		/*
		$e = xdb( $STATEMENT_3 );
		xlog(2, json_encode( $e ));
		$e = xdb( $STATEMENT_4 );
		xlog(2, json_encode( $e ));
		*/
	}
}










//echo json_encode( get_defined_functions() );
/*foreach( get_defined_functions() as $function => $value )
{
	foreach ($value as $name=>$valu )
	{
		echo $name." => ".$valu."<br />";
		
	}
}

*/
/*
$optionen[ "version" ] = "";
$optionen[ "erw_datei_typ" ] = "1";

$ergebnis = liefere_dokumentbinary( $_SESSION[ "mandant_name" ], $_SESSION[ "benutzer_anmeldename" ], 1000720, $optionen );
$k = imagecreatefromstring($ergebnis[ 2 ] ); // Erfolg!
header( "Content-Type: image/jpeg" );
imagejpeg($k, null, 100);  // ändere null zum Dateinamen
*/

//echo $ergebnis[ 1 ];

//$ergebnis = job_durchfuehren( $_SESSION[ "mandant_name" ], 18 );


//echo json_encode( $k );

/*
$ratio = $w / $h;

$new_height = 1200;

$new_width = $new_height * $ratio;

$image_p = imagecreatetruecolor($new_width, $new_height);

imagecopyresampled($image_p, $k, 0, 0, 0, 0, $new_width, $new_height, $w, $h);
header( "Content-Type: image/jpeg" );
imagejpeg($k, null, 100);  // ändere null zum Dateinamen

*/

//$j = imagescale( $k, 600 );

//imagejpeg( $j, null, 80 );

//$k = getimagesize( $ergebnis[ 2 ] );


//xlog( 1, json_encode( $k ) );
//xlog( 1,  $k );

//$f = file_get_contents( "E:\\beruflich\\xampp\\htdocs\\ca\\new.txt" );
/*
$attribute = array();
$attribute[ "alpha_01" ] = "vucievic";
$mehrfachattribute = array();
$optionen["mime_typ"] = "text/plain";
*/
//exportiere_dokument( "condecco AG", 1000104, "c:\\temp\\" )


// $mandant_name, $dokart_kuerzel, $kennung, $attribute, $mehrfachattribute, $dokument_binary, $optionen )
//import(  "condecco AG", "PIX", "KQ1MN6EUMOEFR38P0RNL", $attribute, $mehrfachattribute, "fciwaehf", $optionen );

//verknuepfe_dokumente_variabel( 101, 102 );
//xlog( 1, get_magic_quotes_gpc() );
//welche_systemrechte_besitzt_benutzer( "Müller & Söhne", "ca_admin" );
//liefere_masken_fuer_benutzer( "Müller & Söhne", "ca_admin" );
//erzeuge_neuen_versionseintrag( $dok_id, $ereignis, $d_version = "", $k_version = "", $mime_typ = "", $groesse = 0, $info = "" )
//erzeuge_neuen_versionseintrag( 996, "IMPORT", "+", "+" );

//$STATEMENT = "select dok_id, alpha_01, alpha_02, alpha_03, alpha_04, alpha_05, alpha_06, alpha_07, alpha_08, alpha_09, alpha_10, alpha_11, alpha_12, alpha_13, alpha_14, alpha_15, alpha_16, alpha_17, alpha_18, alpha_19, alpha_20, num_01, num_02, num_03, num_04, num_05, datum_01, datum_02, datum_03, datum_04, datum_05, geld_01, geld_02, geld_03, geld_04, geld_05 from ca_index where dok_id in (select dok_id from ca_dok_ablage where mandant_id = 7 );";
//$ergebnis = xdb( $STATEMENT );

//foreach( $ergebnis[ 1 ] as $eintrag )
//{
//	$STATEMENT = "insert into ca_index_history ( version, aktualisierungs_zeitpunkt, aktualisierungs_benutzer, dok_id, alpha_01, alpha_02, alpha_03, alpha_04, alpha_05, alpha_06, alpha_07, alpha_08, alpha_09, alpha_10, alpha_11, alpha_12, alpha_13, alpha_14, alpha_15, alpha_16, alpha_17, alpha_18, alpha_19, alpha_20, num_01, num_02, num_03, num_04, num_05, datum_01, datum_02, datum_03, datum_04, datum_05, geld_01, geld_02, geld_03, geld_04, geld_05 ) values ( 1, '".time()."', 'ca_admin', ".$eintrag[ "dok_id" ].", '".$eintrag[ "alpha_01" ]."', '".$eintrag[ "alpha_02" ]."', '".$eintrag[ "alpha_03" ]."', '".$eintrag[ "alpha_04" ]."', '".$eintrag[ "alpha_05" ]."', '".$eintrag[ "alpha_06" ]."', '".$eintrag[ "alpha_07" ]."', '".$eintrag[ "alpha_08" ]."', '".$eintrag[ "alpha_09" ]."', '".$eintrag[ "alpha_10" ]."','".$eintrag[ "alpha_11" ]."', '".$eintrag[ "alpha_12" ]."', '".$eintrag[ "alpha_13" ]."', '".$eintrag[ "alpha_14" ]."', '".$eintrag[ "alpha_15" ]."', '".$eintrag[ "alpha_16" ]."', '".$eintrag[ "alpha_17" ]."', '".$eintrag[ "alpha_18" ]."', '".$eintrag[ "alpha_19" ]."', '".$eintrag[ "alpha_20" ]."', ".$eintrag[ "num_01" ].",".$eintrag[ "num_02" ].", ".$eintrag[ "num_03" ].", ".$eintrag[ "num_04" ].", ".$eintrag[ "num_05" ].", '".$eintrag[ "datum_01" ]."', '".$eintrag[ "datum_02" ]."', '".$eintrag[ "datum_03" ]."', '".$eintrag[ "datum_04" ]."', '".$eintrag[ "datum_05" ]."',  ".$eintrag[ "geld_01" ].",".$eintrag[ "geld_02" ].", ".$eintrag[ "geld_03" ].", ".$eintrag[ "geld_04" ].", ".$eintrag[ "geld_05" ]." ) ";
	
//	xlog( 3, $STATEMENT );
	
//	xdb( $STATEMENT );
//}


//liefere_kenndaten_versionseintrag( $_SESSION["mandant_name"], 1000111, 1 );

		/*

$wmi = new COM('winmgmts://');
$processor = $wmi->ExecQuery("SELECT * FROM Win32_Processor");
foreach($processor as $obj){
    $cpu_load_time = $obj->Name;
echo $cpu_load_time."<<<";
}

*/


?>